<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-settings-side-menu
  [appForAdmin]="true">
</app-settings-side-menu>

<app-side-menu-status *appSideMenu="'center'"
                      [appLoadingMessage]="'core.loading' | translate"
                      [appLoading]="loading$ | async">
</app-side-menu-status>

<ng-container *appSideMenu="'bottom'">
  <app-action-button (appClick)="sync()"
                     [appDisabled]="false"
                     [appIcon]="'refresh'"
                     class="openk-success side-menu-button">
    {{"settings.users.sync" | translate}}
  </app-action-button>
</ng-container>

<div class="title">
  <span class="title--label">
    {{"settings.title" | translate}} - {{"settings.users.title" | translate}}
  </span>
</div>

<app-users-settings-search
  [appLoading]="loading$ | async"
  [(appValue)]="filter"
  [appDepartmentGroups]="departmentSettings$ | async | getDepartmentGroupsFromTablePipe">
</app-users-settings-search>

<app-users-settings-table
  (appSelectedUserChange)="selectedUserId = $event;"
  [appUsers]="users$ | async | filterUserList : filter"
  class="user-table">
</app-users-settings-table>

<app-users-settings-edit (appError)="showErrorMessage($event)"
                         (appSubmit)="submitUserSettings($event?.id, $event.value)"
                         *ngIf="selectedUserId != null"
                         [appDepartments]="departmentSettings$ | async | getDepartmentGroupsFromTablePipe | objToArray"
                         [appDisabled]="(loading$ | async)"
                         [appSelectedUser]="users$ | async | appGetUserForId : selectedUserId"
                         class="user-edit">
</app-users-settings-edit>
